body {
  height: auto;
}

.container {
  height: 100%;
  grid-template-rows: 10vh 100vh 6vh;
}

main {
  display: flex;
  flex-flow: column;
  width: 60vw;
  height: 100%;
  align-items: center;
  gap: 4vh 0;
}

main h1 {
  display: grid;
  place-items: center;
  font-size: 3rem;
  letter-spacing: calc(-3rem * 0.02);
}

.card {
  width: 50vw;
  height: 25vh;
  background: rgb(24, 24, 24);
  display: grid;
  grid-template-columns: 40% 60%;
  grid-template-rows: 100%;
  place-items: center;
  border-radius: 1rem;
  position: relative;
}

.img {
  grid-column: 1;
  width: 100%;
  height: 100%;
  background-image: url(../img/welcome.jpg);
  background-position: center;
  background-size: cover;
  border-bottom-left-radius: 1rem;
  border-top-left-radius: 1rem;
}

.second {
  background-image: url(../img/cv.jpg);
  background-position: bottom;
}

.third {
  background-image: url(../img/language.jpg);
}

.more {
  position: absolute;
  grid-column: 2;
  bottom: -2vh;
  left: 50%;
  transform: translateX(-50%);
  width: 10vw;
  height: 5vh;
  background: #da9e34;
  outline: none;
  border: transparent solid 0.2rem;
  color: #fff;
  border-radius: 0.2rem;
  font-size: 1.2rem;
  cursor: pointer;
  overflow: hidden;
  transition: 1s all;
}

.more::after {
  content: "";
  width: 30%;
  height: 400%;
  position: absolute;
  left: -100%;
  top: -100%;
  transform: rotate(45deg);
  background: rgba(255, 255, 255, 0.2);
}

.more:hover::after {
  animation: btn-shine 0.5s linear;
}

.more:focus {
  border: rgba(255, 255, 255, 0.5) solid 0.2rem;
}

.content {
  text-align: justify;
  grid-column: 2;
  grid-row: 1;
  padding: 2rem;
  font-size: 1rem;
  display: none;
}

footer {
  grid-row: 3;
  width: 100vw;
  height: 6vh;
  background: var(--main);
  display: grid;
  place-items: center;
}

@media screen and (width: 1280px) {
  html {
    font-size: 11px;
  }
}

@media screen and (width: 3840px) {
  html {
    font-size: 32px;
  }
}

@media screen and (min-width: 641px) and (max-width: 1000px) {
  html {
    font-size: 24px;
  }
  body {
    height: 216vh;
  }
  .container {
    grid-template-rows: 10vh 200vh 6vh;
    width: 100vw;
  }

  nav {
    width: 100vw;
    height: 10vh;
    display: grid;
    background: rgb(24, 24, 24);
    grid-template-columns: 20% 80%;
    place-items: center;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 999;
  }

  .links {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: #da9e34;
    justify-content: center;
    align-items: start;
    flex-flow: column;
    font-size: 2rem;
  }

  .links a {
    margin-top: 3vh;
    margin-left: 20%;
  }

  .links a:nth-child(1) {
    margin: 0;
    margin-left: 20%;
  }

  .lang {
    width: 2rem;
    height: 2rem;
    border-radius: 100%;
  }

  a.lang {
    margin: 0;
    margin-left: 20%;
    position: absolute;
    top: 3vh;
  }

  .spacer {
    display: none;
  }

  .sm {
    display: flex;
    gap: 3rem;
    margin-top: 3vh;
    margin-left: 20%;
  }
  .ic {
    width: 3rem;
    height: 3rem;
    z-index: 111;
    margin-top: 1vh;
  }

  .links a:hover {
    color: #525252;
  }

  .ic:hover {
    color: #fff;
  }

  .ic:focus {
    color: #525252;
  }

  .menu {
    width: 1.5rem;
    height: 1.5rem;
    position: absolute;
    top: 3vh;
    right: 10vw;
    display: block;
    cursor: pointer;
  }

  .menu:active {
    color: #da9e34;
  }
}

@media screen and (min-width: 641px) and (max-width: 768px) {
  html {
    font-size: 22px;
  }
}

.menu-show {
  animation: 0.2s menu-show linear;
}

@keyframes menu-show {
  0% {
    left: 100%;
  }
  100% {
    right: -100%;
  }
}

.menu-close {
  animation: 0.2s menu-close linear;
}

@keyframes menu-close {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(150%);
  }
}

@media screen and (max-width: 600px) {
  html {
    font-size: 15px;
  }
  body {
    height: 138vh;
  }
  .container {
    grid-template-rows: 10vh 132vh 6vh;
    width: 100vw;
  }

  nav {
    width: 100vw;
    height: 10vh;
    display: grid;
    background: rgb(24, 24, 24);
    grid-template-columns: 20% 80%;
    place-items: center;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 999;
  }

  .links {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: #da9e34;
    justify-content: center;
    align-items: start;
    flex-flow: column;
    font-size: 2rem;
  }

  .links a {
    margin-top: 3vh;
    margin-left: 20%;
  }

  .links a:nth-child(1) {
    margin: 0;
    margin-left: 20%;
  }

  .lang {
    width: 2rem;
    height: 2rem;
    border-radius: 100%;
  }

  a.lang {
    margin: 0;
    margin-left: 20%;
    position: absolute;
    top: 3vh;
  }

  .spacer {
    display: none;
  }

  .sm {
    display: flex;
    gap: 3rem;
    margin-top: 3vh;
    margin-left: 20%;
  }
  .ic {
    width: 4rem;
    height: 4rem;
    z-index: 111;
    margin-top: 1vh;
  }

  .links a:hover {
    color: #525252;
  }

  .ic:hover {
    color: #fff;
  }

  .ic:focus {
    color: #525252;
  }

  .menu {
    width: 2rem;
    height: 2rem;
    position: absolute;
    top: 3vh;
    right: 10vw;
    display: block;
    cursor: pointer;
  }

  .menu:active {
    color: #da9e34;
  }

  main {
    width: 100%;
    height: 100%;
    grid-row: 2;
    gap: unset;
  }

  main h1 {
    margin-top: 2vh;
    font-size: 2.6rem;
  }

  .card {
    width: 80vw;
    height: 30vh;
    grid-template-rows: 60% 40%;
    margin-top: 8vh;
  }

  .first {
    margin-top: 2vh;
  }

  .img {
    grid-column: 1/3;
    grid-row: 1;
  }

  .card h2 {
    grid-column: 1/3;
    grid-row: 2;
    font-size: 1.3rem;
  }

  .more {
    grid-column: 1/3;
    width: 50%;
  }
}

@media screen and (max-width: 400px) {
  html {
    font-size: 12px;
  }

  .container {
    grid-template-rows: 10vh 130vh 6vh;
  }
}

@media screen and (min-width: 250px) and (max-width: 300px) {
  html {
    font-size: 10px;
  }
}
